Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## nextapp.echo2.webrender.output
Class HtmlDocument

    java.lang.Object
      nextapp.echo2.webrender.output.XmlDocument
          nextapp.echo2.webrender.output.HtmlDocument

Direct Known Subclasses:
  BaseHtmlDocument

    public class HtmlDocument

extends XmlDocument

A simple wrapper around JAXP/W3C DOM APIs to generate and render an XHTML 1.0 Transitional document.

Field Summary
`static java.lang.String` | `XHTML_1_0_NAMESPACE_URI`
`static java.lang.String` | `XHTML_1_0_TRANSITIONAL_PUBLIC_ID`
`static java.lang.String` | `XHTML_1_0_TRANSITIONAL_SYSTSEM_ID`

Constructor Summary
`HtmlDocument(java.lang.String publicId, java.lang.String systemId, java.lang.String namespaceUri)` Creates a new `HtmlDocument`.

Method Summary
`void` | `addJavaScriptInclude(java.lang.String uri)` Adds a JavaScript include reference to the document.
`void` | `addJavaScriptText(java.lang.String code)` Adds inline JavaScript code to the document.
`org.w3c.dom.Element` | `getBodyElement()` Retrieves the BODY element of the document.
`org.w3c.dom.Element` | `getHeadElement()` Retrieves the HEAD element of the document.
`void` | `setGenarator(java.lang.String value)` Sets the value of the "generator" META element.
`void` | `setTitle(java.lang.String value)` Convenience method to set the title of the document.

Methods inherited from class nextapp.echo2.webrender.output.XmlDocument
`getDocument, render, setOutputProperties`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### XHTML_1_0_TRANSITIONAL_PUBLIC_ID

    public static final java.lang.String XHTML_1_0_TRANSITIONAL_PUBLIC_ID

See Also:
  Constant Field Values

### XHTML_1_0_TRANSITIONAL_SYSTSEM_ID

    public static final java.lang.String XHTML_1_0_TRANSITIONAL_SYSTSEM_ID

See Also:
  Constant Field Values

### XHTML_1_0_NAMESPACE_URI

    public static final java.lang.String XHTML_1_0_NAMESPACE_URI

See Also:
  Constant Field Values

Constructor Detail

### HtmlDocument

    public HtmlDocument(java.lang.String publicId,
                        java.lang.String systemId,
                        java.lang.String namespaceUri)

  Creates a new `HtmlDocument`.

Method Detail

### addJavaScriptText

    public void addJavaScriptText(java.lang.String code)

  Adds inline JavaScript code to the document.

  Parameters:
    `code` - the inline code

### addJavaScriptInclude

    public void addJavaScriptInclude(java.lang.String uri)

  Adds a JavaScript include reference to the document.

  Parameters:
    `uri` - the URI of the JavaScript code

### getBodyElement

    public org.w3c.dom.Element getBodyElement()

  Retrieves the BODY element of the document.

  Returns:
    the BODY element

### getHeadElement

    public org.w3c.dom.Element getHeadElement()

  Retrieves the HEAD element of the document.

  Returns:
    the HEAD element

### setGenarator

    public void setGenarator(java.lang.String value)

  Sets the value of the "generator" META element.

  Parameters:
    `value` - the value

### setTitle

    public void setTitle(java.lang.String value)

  Convenience method to set the title of the document.

  Parameters:
    `value` - The new title value.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD